Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCvssocket

## Inherited Class

This class inherits the following classes.
WSCbase WSCnwbase WSCngbase

## Abstract

Server side TCP socket class. Used in accepting a connection from a client-side socket class to enable socket communication. Specify a bind port number in the property WSNport. Also, the property WSNip is usually not used, but WSNip can be specified to bind the IP address to confine a bind IP address of a machine that has multiple IP addresses. Client connection causes an ACTIVATE event Communication can be done with the procedure initiated by the ACTIVATE event.

## Function

- Accept a client-side socket connection
- Socket communication

## Notice

Document Release 3.70
For use with Wide Studio Release 3.70, Spring 2004

Wide Studio Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004